
From: Peter Osterlund <petero2@telia.com>

The control-pktcdvd-with-an-auxiliary-character-device patch introduced a
door locking bug.

    pktsetup, mount, umount -> door remains locked.

The problem is that pktsetup opens the cdrom device in non-blocking mode,
which doesn't lock the door.  mount then opens the cdrom device again in
blocking mode, which does lock the door.  umount closes the blocking mode
open, but the door remains locked, because cdrom.c:cdrom_release() only
unlocks the door on the last release, it doesn't care that the only
remaining open is non-blocking.

Signed-off-by: Peter Osterlund <petero2@telia.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/pktcdvd.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/block/pktcdvd.c~packet-door-unlock drivers/block/pktcdvd.c
--- 25/drivers/block/pktcdvd.c~packet-door-unlock	2004-08-01 17:42:42.945605104 -0700
+++ 25-akpm/drivers/block/pktcdvd.c	2004-08-01 17:42:42.950604344 -0700
@@ -322,6 +322,8 @@ static int pkt_generic_packet(struct pkt
 		return -ENXIO;
 	}
 
+	pkt_lock_door(pd, 0);
+
 	q = bdev_get_queue(pd->bdev);
 
 	rq = blk_get_request(q, (cgc->data_direction == CGC_DATA_WRITE) ? WRITE : READ,
_
